# InstanceMetadata — kittycad v0.0.5 documentation

# InstanceMetadata

class kittycad.models.instance_metadata.InstanceMetadata(cpu_platform=<kittycad.types.Unset object>, description=<kittycad.types.Unset object>, environment=<kittycad.types.Unset object>, git_hash=<kittycad.types.Unset object>, hostname=<kittycad.types.Unset object>, id=<kittycad.types.Unset object>, image=<kittycad.types.Unset object>, ip_address=<kittycad.types.Unset object>, machine_type=<kittycad.types.Unset object>, name=<kittycad.types.Unset object>, zone=<kittycad.types.Unset object>)

  Bases: `object`

  Attributes Summary

  `additional_keys`

  rtype

    `List`[`str`]

  Methods Summary

  `from_dict`(src_dict)

  rtype

    ~T

  `to_dict`()

  rtype

    `Dict`[`str`, `Any`]

  Attributes Documentation

  additional_keys
    Return type

      `List`[`str`]

  Methods Documentation

  classmethod from_dict(src_dict)
    Return type

      ~T

  to_dict()
    Return type

      `Dict`[`str`, `Any`]